$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.530-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.530-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'F3F884EC2DF217D04791E88A9074BD504BB5E2340924BCEB0CE4E85197EC4C2D'
  checksumType = 'sha256'
  checksum64 = 'F3F884EC2DF217D04791E88A9074BD504BB5E2340924BCEB0CE4E85197EC4C2D'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.530-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
